Bug 1303814 - [RFE] ephemeral storage for multiple back end
[RFE] ephemeral storage for multiple back end
Status: NEW
Product: Red Hat OpenStack
Classification: Red Hat
Component: rhosp-director (Show other bugs)
8.0 (Liberty)
Unspecified Unspecified
medium Severity medium
: ---
: ---
Assigned To: Elise Gafford
Tzach Shefi
: FutureFeature
Depends On: 1238498
Blocks: 1458798 1476900
  Show dependency treegraph
 
Reported: 2016-02-01 23:42 EST by arkady kanevsky
Modified: 2018-05-22 22:05 EDT (History)
25 users (show)

See Also:
Fixed In Version:
Doc Type: Enhancement
Doc Text:
Story Points: ---
Clone Of: 1238498
Environment:
Last Closed:
Type: Feature Request
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description arkady kanevsky 2016-02-01 23:42:36 EST
Description of problem:
As a user, if deployed OSP has multiple backend storage, I would like to specify on which backens storage I want ephemeral storage to be. For example, on the same back end storage where VM volume is, so I cam boot from volume.

+++ This bug was initially created as a clone of Bug #1238498 +++

Description of problem:
As a user I need an ability to specify which option for ephemeral storage for the deployment I want. The two options to expose are: local nova node storage, on backend cinder storage. For the later option it includes all backend storage of the deployment. For example, Ceph block storage and Dell EQL. 

It will be good to document to only use single type of backend, or just a single pool on a backend storage even if multiple backend storage exist.
But that is a separate request.

Version-Release number of selected component (if applicable):


How reproducible:


Steps to Reproduce:
1.
2.
3.

Actual results:


Expected results:


Additional info:

--- Additional comment from arkady kanevsky on 2015-07-01 21:18:45 EDT ---

Mike,
Let me know if this can be done for GA.


Also,
pleased clone it for OSP director & RDO manager.

--- Additional comment from marios on 2015-09-15 11:53:10 EDT ---

With respect to having instance ephemeral disk on the local nova node or on ceph rbd, we already have those covered and i sanity checked today. One thing still not clear to me is "backend cinder storage" for instance ephemeral, does this just mean/refer to 'booting from volume'? If so I haven't tested/know how well we support that.

For vm ephemeral on local nova node you just deploy without any ceph-storage nodes defined (or if you do, making sure your storage environment doesn't set the nova rbdbackend to true like [1], false by default). I deployed a simple 1 control 1 compute, no ceph:

openstack overcloud deploy --templates --control-scale 1 --compute-scale 1

Then I deployed an instance in the overcloud can see the instance ephemeral disk on the local storage like:

    [root@overcloud-compute-0 ~]# ls -l  /var/lib/nova/instances/95dcdd02-d98a-4096-b2bc-81c65acba967
    total 25784
    -rw-rw----. 1 qemu qemu    40025 Sep 15 10:33 console.log
    -rw-r--r--. 1 qemu qemu 26411008 Sep 15 11:46 disk
    -rw-r--r--. 1 nova nova       79 Sep 15 10:28 disk.info
    -rw-r--r--. 1 nova nova     2504 Sep 15 10:29 libvirt.xml
    
Then I deleted this and deployed with cephnodes and using the storage environment at [1]

openstack overcloud deploy --templates  --ntp-server 0.europe.pool.ntp.org --control-scale 3 --compute-scale 2 --ceph-storage-scale 2 -e /usr/share/openstack-tripleo-heat-templates/environments/storage-environment.yaml

Launch tenant vm instance, the ephemeral disk is no longer created on the nova compute. The compute gets the ceph config and the relevant options are set in nova.conf


[1] https://github.com/openstack/tripleo-heat-templates/blob/master/environments/storage-environment.yaml#L15

--- Additional comment from Mike Burns on 2015-11-06 15:30:12 EST ---

(In reply to marios from comment #6)
> With respect to having instance ephemeral disk on the local nova node or on
> ceph rbd, we already have those covered and i sanity checked today. One
> thing still not clear to me is "backend cinder storage" for instance
> ephemeral, does this just mean/refer to 'booting from volume'? If so I
> haven't tested/know how well we support that.
> 
Arkady, can you clarify marios's question?

I think you're looking for using the cinder for storage of the ephemeral disks, so by extension putting ephemeral on something like Equalogic or Compellent.

--- Additional comment from arkady kanevsky on 2015-11-23 10:29:45 EST ---

Answer the question.
The ask is for OOO API (and UI) to expose to user an option to use compute local disks for ephemeral storage or use cinder storage for ephemeral.
This covers all user activities once deployment of OpenSTack is done.
That include boot from image and boot from volume and boot from clone and so on.

There is related BZ that asks for support for specific cinder backend for multi-back end cinder environments. That is, when you have multiple shared cinder backends, e.g. ceph, Dell PS (EQL), Dell SC (CMPl), NFS (NetApp), one can specify which one to use for VM ephemeral storage deployment.

--- Additional comment from arkady kanevsky on 2015-12-07 09:42:50 EST ---

changing status
Comment 1 Mike Burns 2016-04-07 17:07:13 EDT
This bug did not make the OSP 8.0 release.  It is being deferred to OSP 10.
Comment 7 Elise Gafford 2016-10-05 05:25:42 EDT
Moving to RHOS 11 for scoping and prioritization under the newly-assigned Storage DFG (as of 9/29). Adding needinfo on scohen to ensure that this is captured in our prio exercises, and added early to the DF collaboration backlog if appropriate.

Note You need to log in before you can comment on or make changes to this bug.